<!DOCTYPE html>
<html>
<head>

<!-- Bootstrap -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
	<meta charset="utf-8">

<link rel="stylesheet" href="./activity.css"> 



	<!-- Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">

	<h1>Boostrap Grid System</h1>

	<h2>Two Columns</h2>
	<div class="container-fluid">
		
<!-- Row with Two Equal Columns -->
		<h3>1:1 Ratio</h3>

		<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">
				6 Col
				</div>

				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 Col
				</div>
		</div>

<!-- Row with Two Columns divided in 1:2 ratio -->

		<h3>1:2 Ratio</h3>

		<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
				</div>

				<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
				8 Col
				</div>
		</div>

<!-- Row with Two Columns divided in 1:3 ratio -->
		
		<h3>1:3 Ratio</h3>
		<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
				</div>

				<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
				9 Col
				</div>
		</div>

		<h2>Three Columns</h2>

		<h3>1:1:1 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
		</div>

			<h3>1:2:1 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 Col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
		</div>

			<h3>Uneven Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
				7 Col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">
				2 Col
			</div>
		</div>

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Auto
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto
				</div>
			</div>
		</div>

		<h2>Mobile Responsive Columns</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-2">
					Responsive
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-xs-6 col-md-8 col-lg-10">
					Responsive
				</div>
			</div>
		</div>

		<h2>Multi-Column Layouts</h2>
		<div class="container-fluid">
		  <div class="text-light row">
		    <div class="bg-primary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-4">Catalog 1</div>
		    <div class="bg-secondary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-4">Catalog 2</div>
		    <div class="bg-primary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-4">Catalog 3</div>
		    <div class="w-100"></div>
		    <div class="bg-primary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-4">Catalog 4</div>
		    <div class="bg-secondary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-4">Catalog 5</div>
		    <div class="bg-primary pt-3 pb-3 border border-dark col-xs-6 col-md-4 col-lg-4">Catalog 6</div>
		  </div>
		</div>

		<h2>Offsetting Columns</h2>
		<div class="container-fluid">
		 	<div class="text-light row">
			    <div class="bg-primary pt-3 pb-3 border border-dark col-lg-6 offset-lg-2 col-md-6 offset-md-2 ">Offset Column</div>
			    <div class="w-100"></div>
			    <div class="bg-primary pt-3 pb-3 border border-dark col-lg-6 offset-lg-3 col-md-6 offset-md-3 ">Offset Column</div>
			    <div class="w-100"></div>
			    <div class="bg-primary pt-3 pb-3 border border-dark col-lg-6 offset-lg-4 col-md-6 offset-md-4">Offset Column</div>
			</div>
		</div>

		<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 order-lg-first order-md-last order-sm-last">Left</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6 order-lg-last order-md-first order-sm-first">Right</div>
			</div>


		<!-- Bootstrap Scripts -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>""